swagger: '2.0'
info:
  description: 日程調整アプリで使用するAPI
  version: 1.0.0
  title: Chouseichan API
tags:
  - name: event
    description: Everything about events
paths:
  /event:
    post:
      tags:
        - event
      summary: Add a new event
      description: ''
      operationId: addEvent
      consumes:
        - application/json
      produces:
        - application/json
      parameters:
        - in: body
          name: body
          description: ''
          required: true
          schema:
            $ref: '#/definitions/EventForm'
      responses:
        '400':
          description: Invalid eventName supplied
        '405':
          description: Invalid input
  '/event/{eventId}':
    get:
      tags:
        - event
      summary: Find event by ID
      description: Returns a single event
      operationId: getEventById
      produces:
        - application/json
      parameters:
        - name: eventId
          in: path
          description: ID of event
          required: true
          type: integer
      responses:
        '200':
          description: successful operation
          schema:
            $ref: '#/definitions/EventDisplay'
        '400':
          description: Invalid ID supplied
    post:
      tags:
        - event
      summary: add a new participant
      description: ''
      operationId: addParticipant
      consumes:
        - application/json
      produces:
        - application/json
      parameters:
        - name: eventId
          in: path
          description: ID of event
          required: true
          type: integer
        - in: body
          name: body
          description: ''
          required: true
          schema:
            $ref: '#/definitions/ParticipantForm'
      responses:
        '400':
          description: Invalid participantName supplied or Invalid candidateId supplied
        '405':
          description: Invalid input
definitions:
  EventDisplay:
    type: object
    properties:
      eventId:
        type: integer
      eventName:
        type: string
      description:
        type: string
      columns:
        type: array
        items:
          type: object
          properties:
            title:
              type: string
            dataIndex:
              type: string
            key:
              type: string
      dataSources:
        type: array
        items:
          type: object
          properties:
            key:
              type: string
            name:
              type: string
            dateTimes:
              type: array
              items:
                type: object
                properties:
                  id:
                    type: string
                  dateTime:
                    type: string
  EventForm:
    type: object
    properties:
      eventName:
        type: string
      description:
        type: string
      candidate:
        type: string
  ParticipantForm:
    type: object
    properties:
      participantName:
        type: string
      candidates:
        type: array
        items:
          type: object
          properties:
            candidateId:
              type: string
            answer:
              type: string
      comment:
        type: string